from argparse import ArgumentParser

#  Create an ArgumentParser
parser = ArgumentParser()

#  Configure the ArgumentParser with 3 different arguments
parser.add_argument('--name', help='Your full name', required=True)
parser.add_argument('--age', help='Your age in years', type=int)
parser.add_argument('--birthday', help='Your birth month and year (e.g. Apr 7)')

#  Ask the ArgumentParser object to look at the command line arguments that were entered by the user
arguments = parser.parse_args()

#  Greet the user.  We don't need to check whether the user entered a value for --name 
#  because we set it to required, and the program won't even get here if we don't
print ("Hello {}".format(arguments.name))

#  Check to see if they entered an age
if arguments.age:
    print ('You are {} years old'.format(arguments.age))
    
    if arguments.birthday:
        print ('You will be {} next {}'.format(arguments.age+1, arguments.birthday))
    else:
        print ('You will be {} on your next birthday'.format(arguments.age+1))